import { ElementRef, EventEmitter, OnDestroy, OnInit } from '@angular/core';
import * as i0 from "@angular/core";
export declare class ClickOutsideDirective implements OnInit, OnDestroy {
    private elementRef;
    set clickOutsideActivate(value: boolean);
    /**
     * Use this when the click event will remove the host element from the DOM
     * @param value
     */
    set clickOutsideByCoordinates(value: boolean);
    fusionClickOutside: EventEmitter<any>;
    private onDestroy$;
    private listenClickOutside$;
    private clickOutSideSubscription;
    private byCoordinatesMode;
    constructor(elementRef: ElementRef);
    ngOnInit(): void;
    ngOnDestroy(): void;
    private handleClickOutSideListener;
    private isClickInsideByCoordinates;
    isInsideByTargetPath(event: MouseEvent): any;
    getEventElement(event: MouseEvent): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<ClickOutsideDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ClickOutsideDirective, "[fusionClickOutside]", never, { "clickOutsideActivate": { "alias": "clickOutsideActivate"; "required": false; }; "clickOutsideByCoordinates": { "alias": "clickOutsideByCoordinates"; "required": false; }; }, { "fusionClickOutside": "fusionClickOutside"; }, never, never, false, never>;
}
